-------------------------------------------
NNDD ニコニコ動画ダウンロード&再生ソフト　更新履歴
MAP - MineApplicationProject.
-------------------------------------------

***2013-06-08 v2.4.0
・アプリケーションの証明書を更新(v2.3.1以前からの上書きインストール不可)
・ローカルネットワーク上の別なNNDD同士でマイリストの一覧を同期する機能を実装
・ログインダイアログのデザイン変更
・【バグフィックス】ライブラリから連続再生した場合に、表示順序通りに連続再生されない問題を修正
・【バグフィックス】削除した検索履歴が復活する問題を修正

***2012-11-14 v2.3.1
・【バグフィックス】マイリスト更新に失敗する問題を修正(Mac版)
・【バグフィックス】共有設定の文言を修正

***2012-11-10 v2.3.0
・ローカルネットワーク上の別なNNDDに対して、動画を配信する機能を実装。(相手もv2.3以降である必要がある)
・ランキング、検索、マイリストの各タブで行の高さを同期するオプションを追加
・(暫定)rtmp形式の動画を再生しようとした際に、当該形式をサポートしていないことを示すダイアログを表示するようにした
・【バグフィックス】フォントの変更がPlayerに反映されないことがある問題を修正
・【バグフィックス】フォント／フォントサイズ変更時に各種表示が崩れる問題を修正
・【バグフィックス】スケジュール実行のダウンロードが実行されないことがある問題を修正　
・【バグフィックス】自動ログインが有効な場合に２回目以降の起動時に保存済みアドレスとパスワードが消えることがある問題を修正

***2012-07-22 v2.2.7
・マイリスト閲覧履歴を実装
・【バグフィックス】「スキップ(エコノミー)」状態の動画が二つ以上ある状態でDLを開始すると、二つ目以降の「スキップ(エコノミー)」状態の動画に対してDLを試行しない問題を修正
・【バグフィックス】NNDDの各タブのデータグリッドでサムネイル画像を右クリックしても、当該行が選択されない問題を修正

***2012-07-14 v2.2.6
・フォントサイズに“特大”を追加
・エコノミーモードの動画のDLをスキップして次の動画をDLするオプションを追加
・DLリストに追加済みでない動画のURLがクリップボードにあったとき、自動的に“動画のURL”にコピーするようにした
・Playerの右クリックメニューに“DLリストに追加”を追加
・【バグフィックス】プレイリストを削除した際に削除したプレイリストの内容が画面上に残らないよう修正
・【バグフィックス】DL済みの動画を再度DLすると再生回数がリセットされる問題を修正
・【バグフィックス】SWF再生時のPlayerの大きさを修正
・【バグフィックス】マイリストで右クリックからDLリストに追加すると、マイリストで別な動画が“DLリストに追加済み”になる問題を修正
・【バグフィックス】リストの項目がすべて表示されていない状態でDLリストに動画を追加した際、リストの表示がおかしくなる問題を修正
・【バグフィックス】Playerの右クリックメニューからInfoViewの表示/非表示を切り替えられない問題を修正
・【バグフィックス】DLリストに“+”ボタンで追加した場合に自動でDLが始まらない問題を修正
・【バグフィックス】ByteからGByteとMByteを求める際に1000かけていたのを1024かけるよう修正
・【バグフィックス】Info画面がPlayerに追従する設定になっていると、Playerを開いたときにInfoViewがちょろちょろ動く問題を修正

※ほとんどのバグフィックスは、ID:4dK5qm5s0にいただいたパッチをもとに修正を行いました。提供ありがとうございました。

***2012-06-17 v2.2.5
・InfoViewで投稿者説明文の表示領域の大きさを調整できるようにした
・【バグフィックス】フォントサイズが指定されている投稿者説明文のHTMLが小さくつぶれてしまう問題を修正

***2012-06-03 v2.2.4
・Playerに暗い配色オプションを追加
・システム情報の保存先の切り替え(動画保存先⇔OS提供フォルダ)を設定画面から行えるようにした
・再生開始時にPlayerのウィンドウをアクティブにするようにした(今までは表示順を並べ替えていただけだった)
・【バグフィックス】コメントが投稿できない問題を修正
・【バグフィックス】Windowsでパスに＠が含まれる場合にPlayerのサムネイル画像が表示されない問題を修正
・【バグフィックス】DL済みのチャンネル所属動画がマイリストタブで"DL済み"として判定されない問題を修正

***2012-05-13 v2.2.3
・メイン画面の「Player」ボタンにURLをDrag&Dropして動画を再生できるようにした
・【バグフィックス】チャンネル動画でコメントが投稿できない問題を修正
・【バグフィックス】WindowsでDrag&Dropができない問題を修正

***2012-05-06 v2.2.2
・shitaコメントの表示位置を改善
・コメントのFPSに対応してFlashランタイムの描画フレームレートを変更するようにした
・チャンネル動画をスレッドIDで管理していたのを、動画ID(so〜)で管理するように変更

***2012-05-03 v2.2.1
・【バグフィックス】「古いバージョンの動画サイズを使う」チェックボックスの設定がPlayerのサイズ設定に反映されないことがある問題を修正
・【バグフィックス】動画タイトルに「&」が含まれていると、DL後にタイトルが「&amp;」と表示される問題を修正

***2012-05-02 v2.2.0
・Zero対応
　・動画のタイトルが取得できない問題を修正。
　・HTML形式の動画説明文が取得できない問題を修正。
　・投稿者情報とチャンネルが取得できない問題を修正。
・コメントの表示方法を縦方向に重ねることを優先するか、横方向に並べることを優先するかオプションで切り替えられるようにした。
・【バグフィックス】未ダウンロードの動画をPlayerからプレイリストに登録すると、誤ったURLが登録される問題を修正。

***2012-04-22 v2.1.7
・InfoViewのプレイリストで動画タイトルのツールチップが表示されるようにした
・Playerの右クリックメニューに"進む"を追加(プレイリスト再生中にのみ使用可能)
・【バグフィックス】「"」を含むタグがあるとPlayerでタグが表示されない問題を修正
・【バグフィックス】プレイリストをクリアした際の動作を修正
・【バグフィックス】プレイリスト再生時に、Playerのプレイリストの再生中の項目が選択されないことがある問題を修正
・【バグフィックス】動画IDがsm****でない場合にサムネイル画像が表示されないことがある問題を修正

***2012-02-26 v2.1.6
・ランキングタブのカテゴリ再編対応
・マイリストの一覧から右クリックで更新ができるように変更
・マイリストの未視聴かどうかの判定に、DL済みかどうかをチェックしないように変更
	・withOutDownloadedVideoオプションで従来どおり、DL済みも使用済みとカウントするように切り替え可能
・exe/dmg版の自動アップデータの挙動を変更
・ニコ動上で削除された動画をローカルで再生した際に、InfoViewに削除済みであることを表示するように変更
・【バグフィックス】マイリストで動画のタイトルが文字化けする問題を修正
・【バグフィックス】検索項目の順序が正しく保存されない/読み込まれない問題を修正

***2012-02-11 v2.1.5
・Playerでjpドメイン以外でつけられたタグを表示しないようにした(すべて表示/特定の言語のみ表示はプロパティで切り替え可能)
	・showAllTagプロパティ：trueかfalseを指定。trueの時はすべてのタグを表示。
	・showTagLocプロパティ："jp","tw","es","de"... などのうち、いづれか一つを指定。デフォルトは"jp"。showAllTagがfalseの時に、指定したロケールのタグのみを表示。
・プレイリストの動画にニコニコ動画のURLが記載されていても、ローカルに保存済みの場合は保存済みの動画を使って再生するように変更。
・【バグフィックス】右クリックメニューからプレイリストに追加を選択した際に、追加されないことがある問題を修正。
・【バグフィックス】マイリストの視聴済みがリセットされてしまうことがある問題を修正。
・【バグフィックス】DLリストを開いている状態で、Playerの動画を選択するダイアログのテキストフィールドにctrl+vすると、DLリストにも動画(URL)が追加されてしまう問題を修正。

***2012-02-05 v2.1.4
・DLリストおよびライブラリ画面で、DataGridに表示中の項目数とディスクの空き容量を表示するようにした。
・【バグフィックス】マイリストの視聴済みがリセットされてしまうことがある問題を修正

***2012-01-15 v2.1.3
・【バグフィックス】コメントが追記されない問題を修正
・【バグフィックス】視聴済みかどうかが保存されない問題を修正

***2012-01-04 v2.1.2
・DL処理の進捗情報表示を詳細化
・APIアクセスの結果動画サーバーのURLがとれなかったときの動作を変更
・コメント追記時に重複チェックするように変更
・DLリストにサムネイル画像を表示するよう変更
・【バグフィックス】マイリストの既読処理が行われないことがある問題を修正

***2011-12-11 v2.1.1
・「ログインが完了したらウィンドウを閉じる」オプションを追加
・「Playerを開いたときに"動画を開く"ダイアログを表示する」オプションを追加
・DLした動画の保存処理を見直し(保存先へのI/Oが低速な場合を考慮するよう変更)
・設定画面にPayPal寄付ページへのリンクを追加
・【バグフィックス】マイリストタブの「ニコ動で開く」ボタンからブラウザにジャンプできない問題を修正

***2011-12-04 v2.1.0
・動作環境をAdobe AIR 3.1に変更(Flex SDK 4.6へ移行)
・マイリストタブでチャンネルを管理できるようにした
・マイリストタブでユーザ投稿動画一覧を管理できるようにした
・DLリストおよび履歴の最大件数をプロパティで設定できるようにした
　　・dlListMaxCount：DLリストの最大件数
　　・historyMaxCount：履歴の最大保持件数
・ライブラリの右クリックメニューに「URLをコピー」を追加
・各データグリッドの右クリックメニューに「すべてを選択」を追加
・ThumbInfo画面の投稿者説明文でチャンネルのURLをクリックした際にマイリストタブで開くようにした
・【バグフィックス】一部のURLリクエストのUserAgentがNNDDになっていなかったのを修正
・【バグフィックス】seek命令のシーク先時刻を正しく解析できていない問題を修正
・【バグフィックス】DLリスト追加時に超過した個数分ダイアログがでていなのを、一つしか出ないように修正
・【バグフィックス】一部動画で184がついているとコメントが投稿できない問題を修正
・【バグフィックス】DL失敗時に不要なイベントが上がるのを修正

***2011-10-10 v2.0.11
・新方式のコメントDL方式に対応(本体側設定で切り替え可能)
・＠デフォルト命令によるコメント色指定に対応(暫定実装)
・Playerのコメント一覧でコメントのツールチップが出るようにした
・【バグフィックス】Windowsでパスに@や=が含まれているとサムネイル画像が表示されない問題を修正
・【バグフィックス】同じ時刻のコメントがコメント番号(no)順に積み上がらない問題を修正

***2011-09-07 v2.0.10
・ダブルクリックからの動画再生時にDL済み動画の再生を優先するオプションを追加
・【バグフィックス】InfoViewを閉じていても、動画を再生するたびにInfoViewが再表示される問題を修正

***2011-08-22 v2.0.9
・マイリストの動画を「未視聴」に設定できるようにした
・DL時のファイルサイズチェック処理を見直し
・暗号化保存領域の読み込みに失敗した時の動作を見直し
・【バグフィックス】マイリストの自動更新の際に未視聴カウントが更新されない問題を修正
・【バグフィックス】動画DLの失敗(通信エラー)を正しく検出できない問題を修正
・(おまけ)メイン画面の「Player」ボタンの右クリックから新しいPlayerを開けるようにした

***2011-07-26 v2.0.8
・＠ジャンプマーカー命令に対応
・接続診断で応答に１秒以上かかったサーバーのURLをログに出力するようにした
・Info画面のコメント一覧、ランキング、検索、マイリストのカラム幅を保存するようにした
・マイリストの起動時のみの更新を出来るようにした
・【バグフィックス】ライブラリからコメント、動画以外の更新をするとライブラリの一覧から当該動画が消える問題を修正

***2011-06-20 v2.0.7
・マイリスト以外から再生した場合でも、マイリストの既読が更新されるようにした
・DLリスト、ライブラリ、履歴のカラム幅を記憶するようにした
・【バグフィックス】一般会員アカウントでコメントが投稿できない問題を修正
・【バグフィックス】ログイン判定が正しく出来ていない問題を修正

***2011-06-13 v2.0.6
・【バグフィックス】ライブラリ更新が完了しない問題を修正
・【バグフィックス】ライブラリ更新時にタグが正しく登録されない問題を修正
・【バグフィックス】ダウンロードとストリーミングの進捗が表示されない事がある問題を修正

***2011-06-12 v2.0.5
・ライブラリ更新時の性能を改善
・データベース再構築の性能を改善
・ライブラリ画面の表示性能を改善
・PlayerのInfo画面のコメントタブにコメント投稿日、コメント番号、コメントのオプションを表示するようにした
・Playerでニコ割を再生しないオプションを追加
・【バグフィックス】library.xmlに登録されている動画の保存先フォルダが存在しない場合に正しくインポートできない問題を修正
・【バグフィックス】ライブラリ更新時にサムネイル情報が読み込まれない問題を修正
・【バグフィックス】コメント追記する設定の際に投稿者フィルタ情報が正しく保存されない問題を修正
・【バグフィックス】動画のダウンロードが完了した時にNNDDが一時的に応答無しになる問題を修正
・【バグフィックス】市場情報が閲覧できない問題を修正
・【バグフィックス】初回のログインで必ずログインに失敗する問題を修正
・【バグフィックス】コメントが投稿できない問題を修正
・【バグフィックス】メイン画面をアクティブにした時にPlayerがメイン画面の前に来てしまう問題を修正

***2011-05-29 v2.0.4
・ライブラリ更新時に保存済みのサムネイル情報ファイルから情報を取得しないモードを追加
・NNDDの起動時にPlayerを開くオップションを追加
・有害報告されている動画を強制的に開くようにした
・マイリスト更新時の各マイリストごとの更新間隔を指定できるようにした
・動画ダウンロード時の最大リトライ回数を指定できるようにした
・【バグフィックス】「Twitterでつぶやく」でブラウザにつぶやき内容が正しくわたらない問題を修正
・【バグフィックス】ライブラリ更新時の速度改善
・【バグフィックス】フルスクリーンで次の動画に遷移した際にスムージングが無効になる不具合を修正
・【バグフィックス】コメントが二重に表示される問題を修正(edvakf氏のソースをマージ)
・【バグフィックス】ランキング／検索／マイリストから連続再生が出来ない問題を修正

***2011-05-15 v2.0.3
・【バグフィックス】InfoViewが複数表示される不具合を修正

***2011-05-14 v2.0.2
・古いバージョンのライブラリ情報(library.xml)の手動インポート機能を実装
・ライブラリの更新速度改善およびログ出力強化
・【バグフィックス】ライブラリでツリーが選択されていない状態で「一覧を連続再生」しても連続再生されない問題を修正
・【バグフィックス】動画再生時の情報更新処理でNULL参照してしまう場合がある不具合を修正
・【バグフィックス】Playerの「INFO」ボタンでInfoViewを再表示できない問題を修正
・【バグフィックス】「起動時にバージョンチェックをする」が有効になっていないと「今すぐバージョンチェック」が実行されない場合がある不具合を修正
・【バグフィックス】ライブラリの最後が「...」で終わっているタグを右クリックから検索しようとすると「...」を含む単語が検索されてしまう問題を修正
・【バグフィックス】ライブラリでファイルを移動した際に、特定の条件で動画が消えてしまう不具合を修正(条件：移動元の動画が実際には存在しないが、NNDDのライブラリ上からは見える状態で、当該動画を別のフォルダに移動しようとする。)
・【バグフィックス】SWFを一時停止したあとシークした場合に勝手に再生が始まってしまう不具合を修正
・【バグフィックス】Playerで右クリックから「InfoViewの表示/非表示」した際に非表示状態から復帰しない問題を修正


***2011-05-07 v2.0 (2.0.1)
【変更・新機能】
・動作環境をAdobe AIR 2.6に変更
・GUIの色合いを変更
・ライブラリ
　・高速化(SQLite版ライブラリ)
　・ファイル/マイリスト一覧を一つのツリーに統合
　・サムネイル画像サイズ変更機能
　・ファイル名変更機能
　・動画投稿日閲覧
　・動画の時間閲覧
・外部Player対応
・フォントサイズ変更機能
・DLリストでDL失敗時に次の動画のDLを行うように変更
・Player/InfoView
　・リサイズ時にコメントを消さないように変更
　・半透明コントローラの横幅を動的に変更するようにした
　・NG設定に「コマンド」指定を追加
　・Playerの大きさ変更候補に1.5倍を追加
　・投稿者タブに投稿者名を表示するようにした
　・FLV/MP4のスムージング有効無効の切り替え機能
　・コメントの表示件数を動画の長さで動的に変更するようにした
　・InfoViewの高さをPlayerに従って動的に変更するオプションを追加
　・Playerに表示する動画のサイズの見直し
　・タグのロックを確認できるようにした
・アプリケーションの自動更新機能(airパッケージ、ネイティブパッケージ両方)

【バグフィックス】
・Windowsで動画IDの存在しない動画が管理できない問題を修正
・マイリストのソート順が保存されない事がある問題を修正
・Playerで最新のコメントが正しく読み込まれない問題を修正
・DL処理中にnull参照してしまう可能性がある問題を修正
・ダウンロード失敗時にNULL参照してしまう問題を修正
・ローカル動画再生中に「動画の再読み込み」するとストリーミング再生に切り替わってしまう問題を修正
・起動直後の自身のマイリスト追加時に、リストに自身のマイリストが即座に表示されない問題を修正
・LinuxでInfoViewが正しくPlayerに追従しない事がある問題を修正
・DL済みでも視聴済みフラグが設定されていない項目が「未視聴」いカウントされてしまう問題を修正
・初回起動時にlibrary.xmlからlibrary.dbへの変換に失敗する問題を修正
・Playerで動画情報を取得中に動画のスムージング有効/無効を切り替えると直後の再生でスムージングの設定が反映されない問題を修正
・Windowsで動画の済生会指示にInfoViewだけが最前面に出てくる問題を修正


***2010-12-19 v1.27.6
・ライブラリフォルダの場所を変更する際に古いデータ(マイリストなど)の保存及び変更後のデータの読み出しを行うように変更
・短縮URL対応(bit.ly、t.co)
・停止ボタンでストリーミングバッファがリセットされないように変更
・Playerの右クリックメニューに「動画の再読み込み」を追加
・マイリストのURL形式で"http://www.nicovideo.jp/my/mylist/#/****"をサポート
・【バグフィックス】設定ファイルの保存先が間違っていたので修正
・【バグフィックス】一部のマイリストが読み込めない不具合を修正
・【バグフィックス】動画説明文にHTMLの装飾が反映されない不具合を修正
・【バグフィックス】ランキング更新時に配列の範囲外アクセスをしてしまう可能性がある問題を修正
・【ソースコード】プロジェクトをFlash Builder 4 Burritoに対応


***2010-10-30 v1.27.5
・マイリスト追加時にAPIの戻りが期待と違った場合にリトライするよう変更
・「動画を開く」ダイアログにDrag&Drop機能を追加
・DLリストの「+」ボタンの大きさを変更
・【バグフィックス】DLしたファイル名に「 - ニコニコ動画(原宿)」が残ってしまう問題を修正
・【バグフィックス】ライブラリ更新時のサムネイル画像探索処理で冗長なループがあったため修正
・【バグフィックス】DLリストをクリアする際のダイアログのメッセージが正しくなかったので修正
・【バグフィックス】DLリストのDL済み判定が正しく行えていなかったのを修正


***2010-10-01 v1.27.4
・【バグフィックス】デフォルトのライブラリフォルダが間違っていたのを修正
・【バグフィックス】検索の「コメントが新しい順」と「コメントが多い順」が入れ替わっていたのを修正
・【バグフィックス】NG追加時にインプットメソッドの変換確定時のEnterでもNGリストに追加されてしまう不具合を修正
・【バグフィックス】「DL済をクリア」すると「すべてクリア」したときと同じダイアログが表示される不具合を修正


***2010-09-05 v1.27.3
・ライブラリタブで選択したフォルダ下の全ての動画を表示するオプションを追加
・コメント投稿後もテキストボックスからフォーカスを外さないように変更
・動画が閲覧できなくなった際のPlayerのサムネイル情報表示を改善
・DLリストへのD&Dを廃止し(実装都合)、URL入力用のTextInputをランキングからDLリストへ移動
・プレイリストから動画を再生しようとした際に、プレイリスト内で指定されたパスに動画が存在しなくても、ライブラリに動画が登録されていれば動画を再生するように修正
・Playerで再生ボタンを押した際の動作を見直し
・【バグフィックス】タイトルに%を含む動画を含むマイリストが読み込めない不具合を修正
・【バグフィックス】マイリスト一覧に未登録のマイリストを表示した状態でマイリストのソート順を変更しようとするとnull参照をしてしまう不具合を修正
・【バグフィックス】公式動画が閲覧できなくなった際にサムネイル情報を上書きしないよう修正
・【バグフィックス】Playerの「常に最前面」有効時に動画を再生すると、InfoViewが強制的に「常に最前面」になってしまう不具合を修正
・【ソースコード】UserargentにNNDDに関する情報を追加


***2010-08-29 v1.27.2
・【バグフィックス】タグ検索が出来なくなっていたのを修正


***2010-08-29 v1.27.1
・【バグフィックス】ライブラリのフォルダ名変更時にライブラリが更新されない不具合を修正
・【バグフィックス】「起動時のアップデート確認」をしない設定にしてもアップデートの確認を行ってしまう不具合を修正
・【ソースコード】ILibraryManagerインターフェースを新設
・【ソースコード】インターフェース新設に伴いLibraryManagerBuilderを新設
・【ソースコード】インターフェース新設に伴いLibraryManagerのパッケージを変更


***2010-08-22 v1.27.0
・過去コメント取得機能を実装
・更新したコメントとローカルコメントのマージ機能を追加
・「設定」タブにNNDDプロジェクトへのリンクを追加
・Playerに「動画を開く」メニューを追加
・投稿者フィルタ無効設定の追加
・「ムービー」「ビデオ」等の表現を「動画」に統一
・Playerのコンテキストメニューに「動画のURLをコピー」、「動画のタイトルとURLをコピー」を追加
・【バグフィックス】一部環境で検索結果が正しく表示されない不具合を修正
・【バグフィックス】未読がある場合のマイリスト名が正しく太字にならない事がある問題を修正


***2010-08-18 v1.26.1
・投稿者フィルター対応
・Playerの処理内容表示を詳細化
・Playerに「一つ前の動画に戻る」機能を追加(コンテキストメニューから選択可能)
・【バグフィックス】古い形式の市場情報が読み込めない不具合を修正
・【バグフィックス】ランキングで「&」が正しく表示できていなかった問題を修正
・【バグフィックス】検索項目のソート順が正しく保存されない不具合を修正
・【バグフィックス】ヒストリーでDL済みかどうかを正しく判定できなかったのを修正
・【バグフィックス】動画の停止時に例外が発生する不具合を修正
・【バグフィックス】Playerのコンテキストメニューで「標準/フルスクリーン」切替と「コメント表示/非表示」切替が出来ない不具合を修正
・【ソースコード】パッケージ構造の整理


***2010-08-13 v1.26.0
・アプリケーションの新バージョンチェック、ダウンロード、インストールを自動化
・【バグフィックス】市場情報の取得に失敗する事が原因で動画がダウンロードできない問題を修正
・【バグフィックス】投稿者説明文が正しく表示されなくなる不具合を修正


***2010-07-25 v1.25.4
・マイリストのソート順を保持するよう変更
・16:9モードを実装(Info画面の設定タブで有効/無効切替可能)
・PlayerのUIを変更
・オススメ表示対応
・【バグフィックス】ニコ割が存在する動画でPlayerの縦幅が正しく設定されない不具合を修正
・【バグフィックス】投稿者説明文のHTMLが正しく取得できなくなっていたのを修正
・【バグフィックス】検索履歴が正しく保存されない不具合を修正
・【ソースコード】ConfigManagerのパッケージを変更


***2010-07-04 v1.25.3
・検索履歴を保存するようにした
・DLリストの順序を変更できるように変更
・【バグフィックス】Playerの１倍ボタンを押した後Playerの大きさを変更し、再度１倍ボタンを押した際、１倍の大きさに戻らない不具合を修正
・【バグフィックス】Playerで「InfoView表示/非表示」が動作していなかったのを修正
・【バグフィックス】Playerからマイリストを上書きすると正しく保存されない不具合を修正


***2010-06-27 v1.25.2
・Playerサイズを1倍/2倍/フルスクリーンで選択できるようにした
・InfoViewをユーティリティウィンドウに変更
・InfoViewを閉じてもPlayerは閉じないようにした
・MP3ダウンロードサイトにnicomimi-にこみみ-を追加
・コンテキストメニュー(右クリック・メニュー)の拡充
・【バグフィックス】マイリスト一覧の編集が正しく保存されない不具合を修正


***2010-06-20 v1.25.1
-各設定ファイルの保存時のバックアップの取り方を変更（保存ごとのバックアップ(.back)と、変更が大きい際のバックアップ(.back2)の２種類を取るようにした。）
-【バグフィックス】暗号化された保存領域が破損しているとNNDDのログインウィンドウが閉じなくなる不具合を修正
-【バグフィックス】動画の保存先を変更した際にライブラリタブのツリーの表示先が更新されない不具合を修正
-【バグフィックス】マイリスト更新時にマイリストツリーの選択およびスクロールがリセットされてしまう不具合を修正
-【バグフィックス】ストリーミングに失敗した際に無限に再試行してしまう不具合を修正
-【バグフィックス】マイリストの一覧を連続再生時にクリックした項目ではなく、リストの先頭から再生を開始してしまう不具合を修正


***2010-06-13 v1.25.0
-ニコニコ動画の検索ページHTML変更に対応
-DLリストに100個を越える動画を追加できないようにした
-ライブラリ表示処理の性能を改善
-「一覧を連続再生」で２個以上選択している項目がある場合、選択中の項目のみを連続再生するよう変更
-InfoViewのプレイリストタブに「リストを逆順に並び替える」ボタンを追加
-ストリーミングが100%になっても合計時間が-1秒になってしまった場合に自動的にストリーミングを再実行するようにした
-マイリストでフォルダを選択した際にフォルダ下の未再生の項目一覧を表示するようにした
-マイリスト一覧にニコニコ動画から取得した自分のマイリスト一覧を追加する機能を実装
-アプリケーションのフォントを変更できるようにした
-設定画面のレイアウトを変更
-InfoViewで選択中のマイリストを記憶するようにした
-NNDDメインウィンドウで前回起動時に選択していたタブを記憶するようにした
-ライブラリフォルダが存在しない場合に保存先をリセットするよう処理を変更
-複数動画削除時の性能を向上
-【バグフィックス】ライブラリタブのプレイリストにHTTPで始まるURLが追加されている場合サムネイル画像が表示されない不具合を修正
-【バグフィックス】再生履歴から右クリックでDLリストに追加すると追加した項目の名前が正しく表示されない事があるのを修正
-【バグフィックス】ライブラリタブでプレイリスト一覧の高さが保存されない不具合を修正
-【バグフィックス】検索でorderが正しく指定できていなかった不具合を修正(beta4)
-【バグフィックス】マイリストタブにおいて既読設定が正しく出来ていなかったのを修正(beta4)
-【バグフィックス】設定タブで「デフォルト」ボタンを押しても次回起動時にフォントが以前設定したフォントのままになってしまう不具合を修正(beta5)
-【バグフィックス】ライブラリタブで検索中にフォルダを変更しても動画の一覧が更新されない不具合を修正(beta5)
-【バグフィックス】動画が存在しない状態でライブラリから動画を削除しようとすると動画が削除できない不具合を修正
-【バグフィックス】ライブラリ更新時に存在しない動画がライブラリから削除されない不具合を修正(beta5)
-【ソースコード】各タブの初期化処理を移動


***2010-04-25 v1.24.0
-マイリストの既読管理(既読管理、マイリストのローカルへの保存、自動更新、未読数表示)
-ライブラリタブでのタグフィルタリングを実装
-Playerのタグにニコニコ百科へのリンクを追加
-PlayerからのDLリストへの追加時に追加項目の重複をチェックするよう変更
-InfoViewの投稿者説明文をHTML形式で表示するように変更（ニコ動にアクセス可能な場合のみ）
-非ログイン時に動画を再生する際、ローカルのタグや投稿者説明文を表示するように変更
-アップデート時のジャンプ先URLをSourceForgeのページに変更
-【バグフィックス】プレイリストの順番変更が保存されない不具合を修正
-【バグフィックス】プレイリストに動画を登録するとタイトルの「.」より後が表示されない不具合を修正
-【バグフィックス】shitaおよびueコメントの順序が正しく表示されない不具合を修正
-【バグフィックス】マイリストへの追加に失敗した際に結果がダイアログに出力されない事がある不具合を修正
-【バグフィックス】初回起動時のライブラリ更新が終了しない不具合を修正　
-【バグフィックス】マイリストにおいてコンテキストメニューからDL済みの動画を再生できない不具合を修正
-【バグフィックス】ライブラリタブにおいてタグの検索が出来ない不具合を修正
-【バグフィックス】検索タブにおいてコンテキストメニューからDLリストに追加すると検索結果の１番上の動画が「DLリストに追加済み」と表示されてしまう不具合を修正
-【バグフィックス】ライブラリタブにおいて複数選択時に「すべて更新」しても１件しか更新されない不具合を修正

***2010-02-28 v1.23.3
-2010年01月13日のカテゴリ再編に対応
-PlayerとInfoView（サムネイル画像）の右クリックに「はてなブックマークに追加」と「にこ☆さうんど#で開く」を追加
-【バグフィックス】「検索」タブで「DLリストに追加」ボタンを押すと「マイリスト」の項目がDLリストに追加されてしまう不具合を修正
-【バグフィックス】正しくビデオIDが探せない事がある不具合を修正
-【バグフィックス】「起動時にバージョンチェックをする」の設定が正しく保存されない不具合を修正
-【バグフィックス】InfoViewからプレイリストを上書きした際にプレイリストが消えてしまう不具合を修正

***2010-02-21 v1.23.2
-ライブラリタグのタグリストから右クリックでタグ検索が出来ようにした
-投稿者説明文中のビデオIDを探索する正規表現を変更
-Playerの右クリックメニューに「コメントの表示/非表示」を追加
-【バグフィックス】ライブラリの更新が終わらない事がある不具合を修正
-【バグフィックス】右クリックから動画をDLリストに追加した際に、リストを選択した順とは逆順でDLリストに追加される不具合を修正
-【バグフィックス】単一項目選択時に「DLリストに追加」するとリストの一番上の項目がDLリストに追加されてしまう不具合を修正
-【バグフィックス】ニコスクリプトの「shita」コマンドを識別できていない不具合を修正

***2010-02-16 v1.23.1
-【バグフィックス】ローカルにThumbInfoが存在しない動画が正しく更新対象に含まれない不具合を修正
-【バグフィックス】「検索」および「マイリスト」タブでサムネイル画像の大きさを変更しても次回起動時に引き継がれない不具合を修正
-【バグフィックス】ライブラリを更新した際にサブディレクトリのビデオが更新されない不具合を修正

***2010-02-14 v1.23.0
-フォルダ単位のライブラリ更新を実装
-ライブラリ更新の性能を改善
-ローカルタグ検索時に大文字小文字を意識しないよう変更
-Playerの動画部分及びInfoViewのサムネ画像右クリックメニューに「twitterでつぶやく」を追加
-【バグフィックス】ビデオIDが無い動画がライブラリに登録されない事がある不具合を修正
-【バグフィックス】更新時にサムネイル画像が反映されない不具合を修正
-【バグフィックス】ビデオの移動時にライブラリファイル内のビデオのパスが更新されない事がある問題を修正
-【バグフィックス】「検索」および「マイリスト」で複数選択時にDLボタンからDLリストに追加すると一つしか追加されない不具合を修正
-【バグフィックス】一時停止時にコメントの表示・非表示を切り替えても画面に反映されない不具合を修正
-【バグフィックス】ライブラリ更新が終わらない事がある不具合を修正

***2010-02-06 v1.22.1
-ローカルストア破損時にメールアドレス、パスワードの保存をリトライするように変更
-メインウィンドウの設定をXMLに保存するよう変更
-【バグフィックス】コメントの同期が正しく行われない不具合を修正
-【バグフィックス】プレイリストを削除しても残ってしまう不具合を修正
-【バグフィックス】ログイン失敗を正しく判定できていなかったのを修正
-【バグフィックス】Playerを一度も動かさずに閉じるとPlayerの設定を正しく保存できない不具合を修正
-【バグフィックス】InfoViewの以下の設定が正しく保存できていなかったのを修正
--コメント表示
--コメントに同期してスクロール
--InfoViewをPlayerに追従

***2010-01-17 v1.22.0
・新着の取得先を http://www.nicovideo.jp/newarrival/ に変更
・検索種別変更時に検索が実行されるように変更
・設定ファイルの外部XML化(PlayerおよびInfoViewの位置、設定)
・【バグフィックス】「コメントのみ更新」でコメント以外も更新されてしまう不具合を修正
・【バグフィックス】getThreadkeyの戻り値が3個以上だった場合に正しく処理できない不具合を修正
・【バグフィックス】検索タブの検索項目一覧の横幅が保存されない不具合を修正

***2009-12-27 v1.21.1
-投稿者コメントのリストにコマンドを表示するように変更
-【バグフィックス】@CM命令で同じ動画が複数指定されている際に動画をDLできない不具合を修正
-【バグフィックス】VideoInfoViewの位置が保存されないのを修正

***2009-12-21 v1.21.0
-公式動画対応
-【バグフィックス】Windowsで、同じ動画を複数回ニコ割にしている動画が再生できない不具合を修正

***2009-12-20 v1.20.10
-【バグフィックス】Playerが開いていない状態でNNDDを終了させるとNGリストが消えてしまう不具合を修正

***2009-12-12 v1.20.9
-検索出来ない問題に対応
-ランキングが取得できない問題に対応
-新着が閲覧できない問題に対応

***2009-12-06 v1.20.8
-「世界の新着動画」コメント非表示オプションの追加
-【バグフィックス】DL中にNNDDを終了すると次回起動時にDLできない動画が残る不具合を修正
-【バグフィックス】NGリストが読み込めていない不具合を修正
-【バグフィックス】Playerの大きさが変わった際にInfoViewが追従しない事がある不具合を修正

***2009-11-29 v1.20.7
-動画が削除されている際にサムネイル情報を上書きしないように変更
-各種APIのアクセス先URLを変更
-【バグフィックス】NGリストが読み込めていない不具合を修正
-【バグフィックス】プレイリストの名前が編集できない不具合を修正
-【バグフィックス】InfoViewからのマイリスト追加で、一覧に公開マイリストが表示されない不具合を修正
-【バグフィックス】サムネイル情報の取得に失敗する事がある不具合を修正
-【バグフィックス】「Playerサイズを動画に合わせる」を選択していてもPlayerサイズが変わらない不具合を修正
-【バグフィックス】ログイン・ログアウトするたびにウィンドウの位置が初期位置に戻ってしまう不具合を修正
-【ソースコード】getflvの結果を解析するクラスを新設(GetFlvResultAnalyzer.as)
-【ソースコード】APIアクセス関連のコードを見直し

***2009-11-22 v1.20.6
-【バグフィックス】履歴タブで日付のフォーマットが変わっていなかったのを修正
-【バグフィックス】初回起動時にライブラリファイル作成が終わらない不具合を修正
-【バグフィックス】プレイリストから再生できない不具合を修正
-【バグフィックス】「library.xml」というフォルダが作られる事があるのを修正

***2009-11-15 v1.20.5
-【バグフィックス】初回起動時にライブラリが読み込めていない不具合を修正
-【バグフィックス】ライブラリ更新が行われない不具合を修正

***2009-11-15 v1.20.4
-Playerにエコノミーかどうかを表示するようにした
-各種設定ファイルを「<動画の保存先>/system/」下に集約した
-日付の表現を「yyyy/mm/dd hh:mm:ss」に変更
-コメントリストにコメント投稿者のユーザーIDを表示するように変更
-コメントの別名保存(仮)
-【バグフィックス】検索ページ指定のドロップダウンメニューに表示されるページ番号がおかしかったのを修正
-【バグフィックス】ストリーミング再生の動画が履歴に追加された際に動画名がおかしいのを修正
-【バグフィックス】動画IDが含まれていないビデオが再生できなかったのを修正
-【バグフィックス】プレイリストで作成日のソートが文字列でソートされていたのを修正
-【バグフィックス】PlayerとInfoViewを最小化した状態でPlayerを復元するとInfoViewが小さくなって復元されてしまう不具合を修正
-【バグフィックス】履歴タブでムービー名がフルパスで表示されてしまうことがある不具合を修正
-【バグフィックス】Playerのコメントをクリックしてもコメントリストのコメントが選択されない不具合を修正
-【ソースコード】パッケージをmineap.NNDDからorg.mineap.NNDDに変更
-【ソースコード】コメント表示に関する処理を変更（ArrayをVectorに変更）

***2009-11-01 v1.20.3
-マイリストが取得できない問題を修正(ニコニコ動画(9)対応)
-新着および検索結果でサムネイル画像が表示されない問題を修正(ニコニコ動画(9)対応)
-カテゴリが表示されない問題を修正(ニコニコ動画(9)対応)
-【バグフィックス】プレイリストを編集した際に拡張子が余分に追加される不具合を修正
-【バグフィックス】頻繁に情報取得に失敗する不具合を修正
-【バグフィックス】ダウンロード中にNNDDを終了すると次回起動時にダウンロードが再開できない不具合を修正

***2009-10-25 v1.20.2
-再生履歴追加時に動画が重複しないように変更
-【バグフィックス】SWFのストリーミング再生時に2回目以降のリピートが出来ない不具合を修正
-【バグフィックス】正しく履歴に追加されない動画がある不具合を修正
-【バグフィックス】Windowsで動画の複数削除が出来ない不具合を修正
-【バグフィックス】「ログアウト」ボタンを押すとその後再起動しないとログインできない不具合を修正

***2009-10-22 v1.20.1
-再生時のライブラリ登録処理を見直し
-InfoViewのレイアウトを調整
-【バグフィックス】ライブラリタブでファイルの移動及び削除に失敗する不具合を修正
-【バグフィックス】検索項目およびマイリストが編集できない不具合を修正
-【バグフィックス】タスクトレイからのNNDD終了が正常に動作していなかったのを修正
-【バグフィックス】「ウィンドウを閉じてもNNDDを終了しない」オプションの設定が保存されていなかったのを修正

***2009-10-18 v1.20.0
-履歴閲覧
-ライブラリ内部処理の改善
-InfoViewのデザインを若干修正
-「Playerのタグ表示領域を隠す」オプションを追加
-【バグフィックス】SWF再生時にPlayerの下コントローラの「分:秒」が更新されない不具合を修正
-【バグフィックス】SWFのリピートが１回しか出来ない不具合を修正
-【バグフィックス】検索項目とマイリスト項目を編集するとリスト内の位置が変わってしまう不具合を修正

***2009-10-04 NNDD v1.19.0
-Playerのデザインを変更
-再生、コメント、マイリストの各数字をコンマ区切りに変更
-コメント投稿後もコマンドを消さないように変更
-【バグフィックス】SWFのリピート再生が連続して１回しか出来ない不具合を修正
-【バグフィックス】「このウィンドウを閉じてもNNDDを終了しない」が正常に動作していなかったのを修正
-【バグフィックス】Playerで動画の長さが100分を超えるた場合に「...」と省略されて表示されてしまう不具合を修正
-【バグフィックス】Playerの最大化時にNNDDを終了すると次回起動時にPlayerのサイズが最大化時の大きさになってしまうのを修正
-【バグフィックス】ストリーミング再生で情報の取得に失敗する不具合を修正
-【バグフィックス】一部のコメントの位置情報を正しく取得できていなかったのを修正
-【バグフィックス】動画上でマウスを動かすとコメント入力領域からフォーカスが外れてしまう不具合を修正
-【バグフィックス】再生中のPlayerを最小化している際に別な動画の再生を始めるとPlayerがいなくなる不具合を修正
-【バグフィックス】ライブラリのタグ検索が正常に動作していなかったのを修正
-【バグフィックス】ファイルの移動時にエラーが発生する不具合を修正

***2009-09-22 NNDD v1.18.0
-Playerウィンドウのレイアウトを変更
-ライブラリの表示性能を改善
-投稿者説明文の動画リンクから動画にジャンプできるようにした
-投稿者説明文のマイリストリンクからマイリスト一覧を表示できるようにした
-【バグフィックス】NNDDの起動後に他のブラウザでログインすると、NNDDでのダウンロードおよびストリーミングに失敗する不具合を修正
-【バグフィックス】一部のSWFで再生が終了しない不具合を修正
-【バグフィックス】Playerの「FULL」ボタンを押した後でスペースキーを押すとフルスクリーン-通常ウィンドウが切り替わってしまう不具合を修正

***2009-09-13 NNDD v1.17.0
-強制エコノミーモードを実装
-MacおよびWindowsでウィンドウを閉じてもアプリケーションは終了しない設定を追加
-アップデート時にPlayerとInfoViewの大きさと位置情報をリセットしないようにした
-【バグフィックス】一部の動画でjump命令が動作していなかったのを修正
-【バグフィックス】ユーザーニコ割が設定されている動画のストリーミングが出来ない不具合を修正
-【バグフィックス】マイリストの編集が出来ない不具合を修正
-【バグフィックス】検索条件の編集が出来ない不具合を修正
-【バグフィックス】InfoViewの大きさを変えるとサムネイル画像も小さくなってしまう不具合を修正
-【バグフィックス】Playerを最大化した状態で終了するとPlayerの大きさが最大化した際の大きさで保存されてしまう不具合を修正

***2009-08-31 NNDD v1.16.1
-【バグフィックス】マイリストへの追加ができない問題を修正

***2009-08-31 NNDD v1.16.0 
-マイリストへの追加を実装
-ツールチップを追加
-ランキング、検索、マイリストで表示中の一覧をブラウザでも開けるようにした
-ログ出力内容の充実（HTTPのレスポンスステータスを出力するようにした）
-ニコニコ動画サーバーの動作状況確認画面を「設定」タブに追加
-【バグフィックス】サムネイル画像が設定されていない動画のダウンロードが出来なかった問題を修正
-【バグフィックス】スペースキーによる再生・一時停止が正常に動作していなかったのを修正
-【バグフィックス】フルスクリーン再生中に「ジャンプ時に問い合わせる」を有効にしていると、問い合わせダイアログが表示された際もマウスカーソルが消えてしまい、ダイアログが選択できない不具合を修正
-【バグフィックス】フルスクリーン再生中にNNDDのメインウィンドウにカーソルを合わせるとカーソルが消えてしまう不具合を修正
-【バグフィックス】ダウンロード処理のコメント取得失敗時のエラーメッセージが間違っていたのを修正
-【バグフィックス】一部表示がエスケープシーケンスのままデコードされていなかったのを修正

***2009-08-23 NNDD v1.15.0
-検索項目をツリーで管理できるように変更
-動画のIDのみでクリップボードからDLリストへの追加ができるように変更
-【バグフィックス】マイリストでフォルダを編集するとフォルダ下のマイリストが消えてしまう不具合を修正

***2009-08-22 NNDD v1.15.0b
-マイリストをツリーで管理できるように変更
-「ニコ割再生時のみニコ割領域を表示」するオプションを追加
-Playerのコメントを太字にするオプションを追加
-コメントの流速を調整
-InfoViewの「タグ」と「投稿者」のデザインを変更
-ランキングが閲覧できなくなっていた問題に対応（ランキングのHTML変更に対応）
-全画面再生中にマウスポインタを消すように変更
-【バグフィックス】スペースキーによる動画の再生、一時停止が正常に動作していなかったのを修正
-【バグフィックス】ライブラリを右クリックした際の挙動を修正
-【バグフィックス】ランキングリスト等でDLの進捗が表示されていなかったのを修正

***2009-08-09 NNDD v1.14.3
-「Playerを最前面に表示」と「InfoViewを最前面に表示」を個別に設定できるように変更
-ライブラリからニコ動のタグ検索を出来るように変更
-コメントのボールドを外した
-ストリーミング再生時に画面右上にDLの進捗を表示するようにした
-【バグフィックス】「再生のたびに更新」で更新したコメントが次回以降の再生でしか読み込まれない不具合を修正
-【バグフィックス】ランキングでカテゴリをダブルクリックするカテゴリの一覧が消えてしまうのを修正
-【バグフィックス】ニコ動側のマイリストが削除されていた場合の挙動を修正
-【バグフィックス】Playerで動画を取得できなかった際に再生ボタンが押せなくなるのを修正

***2009-08-02 NNDD v1.14.2
-ライブラリタブのファイル移動の性能を改善
-DLリストをダブルクリックで再生できるように変更
-【バグフィックス】マイリストの「編集」ダイアログでタイトルにURLが表示されるのを修正
-【バグフィックス】「検索項目に既存の検索項目を追加する」でゲームと料理が抜けていたのを修正

***2009-07-25 NNDD v1.14.1
-InfoViewに「ニコ動で見る」ボタンおよび「DL」ボタンを追加
-プレイリストの名前を変更した際に、「.m3u」が無ければ自動的に付加するよう変更
-左側のプレイリストの項目をダブルクリックしてプレイリスト一覧を再生できるように変更
-【バグフィックス】一部環境で検索結果が正しく取得できていなかったのを修正
-【バグフィックス】検索結果の２ページ目以降が指定した検索条件と異なっていたのを修正
-【バグフィックス】SWFのリピートが出来ないのを修正
-【バグフィックス】SWF再生準備中にPlayerを閉じると音だけが再生されるのを修正

***2009-07-19 NNDD v1.14.0
-jump命令に一部対応（第3引数以降は無視）
-seek命令に一部対応（seek先のラベル指定は未対応）
-ライブラリタブでタグを選択した際の性能を改善
-Playerの設定に「ジャンプ命令を有効にする」設定を追加
-DLしたビデオが小さすぎたとき(100B未満)の時は失敗としてリトライするように変更
-Playerからのタグ検索を実装
-デフォルトの検索項目を追加（ただし、ニコ動のトップページの項目とは別物です。）
-【バグフィックス】コメントが投稿できない不具合を修正
-【バグフィックス】コメントのスクロールが同期しない場合があったのを修正

***2009-07-11 NNDD v1.13.2
-再生時刻指定のある@CM命令に対応（=ユーザーニコ割による時報）
-【バグイックス】ユーザーニコ割が再生されない不具合を修正

***2009-07-06 NNDD v1.13.1
-再生時刻指定のある@CM命令を実行しないように変更（暫定。今後対応予定。）
-【バグフィックス】ライブラリで「動画を編集」しようとすると、「動画がダウンロードされていない」というダイアログが出て動画を編集できないのを修正。

***2009-07-05 NNDD v1.13.0
-ストリーミング再生でも、同じ動画IDを持つビデオがライブラリにある場合は再生回数を加算するように変更
-Playerのプレイリストにランキング、検索、マイリスト、ライブラリから曲を追加できるように変更
-Playerのプレイリストを保存できるように変更
-ライブラリの表示性能改善
-【バグフィックス】ストリーミングをリピートするとタイトルが表示されなくなる不具合を修正
-【バグフィックス】分が一桁の動画でPlayerのコメントをクリックしてもInfoViewのコメントが選択された状態にならない不具合を修正
-【バグフィックス】表示するコメントの件数を変更しても実際に表示される件数が変わっていなかったのを修正

***2009-06-28 NNDD v1.12.4
-再生回数の加算を「再正開始から10秒後」に変更
-【バグフィックス】最新のコメントが表示されない場合がある不具合を修正
-【バグフィックス】ニコ割が存在する動画がDLできない不具合を修正
-【バグフィックス】ランキングと検索で「DLリストに追加済」にするとストリーミング再生できないのを修正
-【バグフィックス】再生ごとのコメントの更新で、動画も更新してしまっていたのを修正

***2009-06-21 NNDD v1.12.3
-マイリストにインデックス列を追加
-再生回数管理を実装
-メモリリーク対策
-TextInputがフォーカスを取得した際にすべてのテキストが選択されるように変更
-検索条件とマイリストの順序を変更できるようにした
-起動時の引数で「-d」オプション（DLリストへ追加）をサポート
-【バグフィックス】ランキングタブで、ビデオIDのみの入力時にストリーミング再生できなかったのを修正
-【バグフィックス】検索タブで動画をDLリストに追加しても「DLリストに追加済」が表示されない場合があったのを修正
-【バグフィックス】ログインするたびにダウンロードリストが追加されてしまう不具合を修正
-【バグフィックス】一部の動画で、ダウンロードがニコ割取得で失敗してしまう不具合を修正

***2009-06-14 NNDD v1.12.2
-【バグフィックス】検索およびマイリストタブで項目を選択していない状態で「編集」を押したときの不具合を修正
-【バグフィックス】NG単語に一部の文字を入れるとNGの判定がおかしくなるのを修正
-【バグフィックス】SWFが再生できない不具合を修正
-【バグフィックス】100分以上の動画を再生するとコメントの並びがおかしくなるのを修正
-【バグフィックス】NGIDの判定が出来ていなかったのを修正

***2009-06-13 NNDD v1.12.1
-【バグフィックス】NG単語が一つも登録されていないとコメントがすべて「#---このコメントは表示されません（NGワード）---#」と表示されてしまう不具合を修正

***2009-06-13 NNDD v1.12.0
-ダウンロード予約機能を実装
-ダウンロードリストの保存を実装
-検索条件保存機能を実装
-ランキング、検索、マイリストに再生時間と投稿日を表示するように変更
-Playerにフルスクリーン切替ボタンを追加
-DLリストへの一括追加を実装
-【バグフィックス】「IDをNG」と「許可IDを表示」が機能していなかったのを修正
-【バグフィックス】NNDD以外でダウンロードしたビデオを「ビデオ以外を更新」するとライブラリファイルが保存できない不具合を修正
-【バグフィックス】検索時のページドロップダウンリストの一番上の項目が選択できないのを修正

***2009-06-01 NNDD v1.11.8
-右クリックだけで対象の項目が選択されるように変更
-動画の再生時にスムージング有効にした
-【バグフィックス】Playerを最初に開く際にNGリストが読み込めていないうちに動画の再生を開始している不具合を修正
-【バグフィックス】ランキングをソートすると選択したビデオと違うビデオが選択される不具合を修正
-【バグフィックス】WindowsでCtrl+VでDLリストへの追加が出来なかったのを修正
-【バグフィックス】＆lt;が含まれているとライブラリファイルの保存が出来ない不具合を修正

***2009-05-30 NNDD v1.11.7
-【バグフィックス】Windowsで起動時のライブラリロードに失敗する不具合を修正

***2009-05-29 NNDD v1.11.6
-ニコニコ市場のHTML変更に対応
-ランキング（ジャンル）のHTML変更に対応
-【バグフィックス】コメントが流れなくなるのを対策
-【バグフィックス】ライブラリの項目を編集しても実際には反映されていないのを修正
-【バグフィックス】プレイリストのソート順番を記憶しないよう修正

***2009-05-24 NNDD v1.11.5
-コメントリスト同期の性能を改善
-フォルダの追加時にAdobeAIRで使用できない文字を指定すると「作成に失敗」エラーにしていたのを、「この文字は使えません」エラーに変更。
-ライブラリ管理に含まれていないビデオもサムネイル画像を変更できるように修正（サムネイル情報を変更しようとするとライブラリ管理に自動的に追加される）
-数字だけのビデオIDにも対応（多分）
-NNDD以外で保存した動画についてのちょっと対応（サムネイル画像の設定、更新したファイルの名前が変になる、コメントがロードされない）
-【バグフィックス】PayPalの寄付のページが「支払い」になっていたのを「寄付」に変更
-【バグフィックス】NGリスト「+」ボタンがウィンドウの大きさ変更に追従していなかったのを修正
-【バグフィックス】ニコ動側で削除されている動画を更新するとサムネ画像のURLがnullになる不具合を修正
-【バグフィックス】ローカルのサムネ画像を指定していても、ビデオを更新するとニコ動側のサムネイル画像のURLで上書きされてしまう不具合を修正
-【バグフィックス】SWFの再生でニコ割表示部分を隠すとSWFの大きさがずれるのを修正
-【バグフィックス】Playerのコメント表示時間が保存されない不具合を修正

***2009-05-17 NNDD v1.11.4
-コメントリストのスクロールを、表示されるコメントがリストの一番下に来るように変更
-サムネイル画像の手動設定を実装
-【バグフィックス】プレイリストを編集すると「タイトル」が「URL」になってしまう不具合を修正
-【バグフィックス】コメント投稿用のTextで←→キーを押すとシークしてしまう不具合を修正
-【バグフィックス】mp4、flvでPlayerの大きさを変えた状態でシークするとウィンドウの大きさが元に戻ってしまうのを修正
-【バグフィックス】SWFの再生中にニコ割領域を消すとSWFが上にずれて再生される不具合を修正
-【バグフィックス】ダウンロードしたファイル名に含まれるHTML特殊文字をデコードしていなかったのを修正
-【バグフィックス】動画を削除した後にランキング等を更新しても「ダウンロード済」と表示される不具合を修正
-【バグフィックス】ニコニコ市場でYahooの商品が複数ある際、２つ目以降の商品ページへのリンクが１つ目の商品ページへのリンクと同じだったのを修正
-【バグフィックス】ストリーミング再生時にサムネイル画像のアクセスに失敗するとストリーミング再生も失敗してしまうのを修正
-【バグフィックス】寄付ボタンを押してもセッションが切れているページに飛んでしまう不具合を修正

***2009-05-09 NNDD v1.11.3
-【バグフィックス】検索とマイリストからDL済の動画が再生できない不具合を修正

***2009-05-04 NNDD v1.11.2
-【バグフィックス】NNDDのダウンロードフォルダ内にtempフォルダが無い状態でストリーミング再生しようとするとError#1009になってストリーミング再生できない不具合を修正

***2009-05-04 NNDD v1.11.1
-【バグフィックス】ストリーミングおよびダウンロード時にAPIアクセスを乱発してニコニコ動画からアクセス規制を受ける可能性があったため処理を見直し

***2009-05-03 NNDD v1.11.0
-公開マイリスト管理（ブックマーク）を実装
-【バグフィックス】一部のSWFがダウンロード出来ない不具合を修正
-【バグフィックス】ストリーミング再生中にユーザーをNG登録すると、その後コメントがロードされない不具合を修正

***2009-04-29 NNDD v1.10.2
-【バグフィックス】ストリーミング再生時にリピートできない不具合を修正
-【バグフィックス】ニコニコ動画へのアクセスに失敗すると、それ以降もアクセスに失敗する不具合を修正

***2009-04-29 NNDD v1.10.1
-【バグフィックス】Windowsで動画のダウンロードが出来なかったのを修正

***2009-04-28 NNDD v1.10.0
-フルスクリーン時の表示を改善
-ダウンロードの内部処理見直し
-サムネイル画像管理を実装
-ストリーミング再生時のリピートを実装
-ダウンロードした動画がエコノミーモードだった場合、ライブラリタブでもエコノミーかどうか確認できるようにした
-ライブラリタブから動画そのものを更新できるようにした
-【バグフィックス】一部環境でコメント等の更新で古いファイルが残ってしまう不具合を修正
-【バグフィックス】プレイリスト再生時に次の曲に進むとコメントが流れない不具合を修正
-【バグフィックス】ストリーミング再生中にシークするとコメントが流れなくなる不具合を修正

***2009-04-04 NNDD v1.9.5
-【バグフィックス】DLする動画名に「*」「?」「|」が入っていると保存時にNNDDの応答がなくなる不具合を修正

***2009-04-04 NNDD v1.9.4
-再生ごとの情報更新の手動キャンセルが出来るようにした
-【バグフィックス】ランキングのカテゴリが取得できなくなっていたのを修正
-【バグフィックス】空白のコメント（スペースのみ、改行のみ、もしくはその組み合わせ）を読み込めていなかったのを修正

***2009-03-28 NNDD v1.9.3
-Playerで、マウスカーソルが載ったコメントを強調表示するようにした
-Playerのプレイリストが１曲リピートだと消えてしまっていたのを消えないように変更
-【バグフィックス】同じディレクトリにビデオを移動しようとすると「移動中」のダイアログが出て消えなくなる不具合を修正
-【バグフィックス】ランキング-検索リストに何も表示されていない際にビデオをダウンロードしようとすると「ビデオタイトルの取得に失敗」と出てダウンロードできない不具合を修正
-【バグフィックス】「終了」ボタン以外でNNDDを終了させると設定が保存されない不具合を修正
-【バグフィックス】ストリーミング再生の際、再生が実際に始まる前（再生の準備中）に「一時停止」するとコメントが流れなくなるので、再生の準備中は「一時停止」出来ないように修正

***2009-03-22 NNDD v1.9.2
-【バグフィックス】ユーザーニコ割がダウンロードできていなかったのを修正

***2009-03-21 NNDD v1.9.1
-【バグフィックス】初回起動時のタグ情報取得で正常にタグ取得が出来ていなかったのを修正

***2009-03-21 NNDD v1.9.0
-ランキング・検索
--新着に対応
--起動時のランキング自動更新（デフォルトはOFF）
--各ランキングの複数ページ表示に対応
--ランキングおよび検索表示時に、エコノミーでダウンロードした項目について「ビデオ(低画質)保存済」と表示するようにした（v1.9以降でダウンロードした項目についてのみ有効）
--ストリーミング再生をブラウザで出来るようにした（デフォルトはNNDDで再生）

-ダウンロードリスト
--エコノミー時のダウンロード問い合わせを無視できるようにした（デフォルトはOFF）
--動画のダウンロードに失敗した際のリトライを実装

-ライブラリ
--ライブラリでの「更新」を、「コメントのみ」「ビデオ以外すべて」のどちらか選べるようにした
--smおよびnm以外のビデオIDの動画も更新できるようにした（ビデオIDが数字だけのものは未対応）
--ローカルのタグから動画を絞り込めるようにした

-Player
--再生時の更新を、「コメントのみ」「コメント・タグ・説明文・ニコ割・市場」のどちらか選べるようにした
--再生中に表示されるコメントの表示時間を調節できるようにした
--Playerでコメントをクリックした時にコメントリストの該当するコメントを選択した状態にする機能を追加
--コメントリストの項目をクリックするとコメントと同じテキストをコメント投稿のフィールドに設定するようにした

-その他
--ログをファイルに出力するようにした

-【バグフィックス】
--DLが止まってしまう問題を修正（今度こそ！）
--InfoViewで「Playerのサイズをビデオの大きさに合わせる」にチェックを入れた場合ですが .mp4動画は再生サイズが数ピクセルぐらいの極小になるのを修正
--「再生のたびに動画情報を取得する」の項目にチェックを入れて、取得するとファイル名がおかしくなることがあるのを修正
--投稿者コメントが250件以上表示されなかったのを修正
--ライブラリのフォルダ名を変更するとフォルダ内のビデオが正しくDL済と判定されなかったのを修正

***2009-02-21 NNDD v1.8.5
-【バグフィックス】DLが100％で止まってしまう問題を修正（多分）

***2009-02-17 NNDD v1.8.4
-ランキングの「合計」に対応
-【バグフィックス】ニコニコ動画のランキングが取得できなくなっていたのを修正

***2009-02-14 NNDD v1.8.3
-アフィきりかえを実装
-ランキングリストの右クリックメニューに「ストリーミング」を追加
-コメント表示件数の下限を10コメントに変更
-【バグフィックス】DLリストでダウンロードが途中で止まってしまうのを修正（多分）

***2009-02-10 NNDD v1.8.2
-コメントリストのスクロールを改善
-【バグフィックス】ニコニコ動画のランキングが取得できなくなっていたのを修正
-【バグフィックス】プレイリスト内の複数選択時の移動において、正しく移動できていない不具合を修正

***2009-02-07 NNDD v1.8.1
-【バグフィックス】ランキングのサムネイル画像が取得できなくなっていたのを修正
-【バグフィックス】「動画投稿の新しい順/古い順」でタグ検索を行うと、「コメントの新しい/古い」で検索された結果がでてしまうのを修正
-【バグフィックス】タグを検索すると結果が１ページしか表示されないのを修正
-【バグフィックス】DLリストでカウントダウン中にDL済の項目を削除するとカウントダウンが止まるのを修正

***2009-02-01 NNDD v1.8.0
-市場の保存、表示を実装
-コメントの投稿を実装
-DLリストへのD&Dによる追加に対応
-DLリストへのクリップボードからのURL追加に対応
-PlayerへのD&Dの再生に対応
-ライブラリ内検索の複数ワードに対応
-DLリストに追加だけしてDLはしない設定が出来るようにした
-DLするコメント数を1000件に変更
-表示するコメント数を設定できるように変更
-【バグフィックス】特定の動画において、"DL済"で処理が止まってしまい、DLリストの次の項目に進まなくなってしまう不具合を修正
-【バグフィックス】シークするとPlayerの大きさが変わってしまうのを修正
-【バグフィックス】Player側で情報を更新するとコメントが２種類保存されてしまう不具合を修正
-【バグフィックス】エコノミーキャンセル時のDLリストの挙動がおかしかったのを修正
-【バグフィックス】再生中にPlayerを最小化するともとに戻らなくなる不具合を修正(Win)
-【バグフィックス】再生中にPlayerを最小化できない不具合を修正(Mac)
-【バグフィックス】InfoView最小化中にPlayerを動かすとInfoViewが小さくなって最小化が解除されてしまう不具合を修正

***2009-01-17 NNDD v1.7.2
-【重要】動作環境をAdobe AIR 1.5のみに変更
-SWFのシークに対応
-サムネイルの大きさを可変に変更
-コメントの大きさを可変に変更
-コメント移動のFPSを可変に変更
-コメントのID許可を実装
-再生時のコメント等自動更新実装
-【バグフィックス】DLリストをソートすると表示がおかしくなってしまうので、ソートできないように変更
-【バグフィックス】ライブラリでファイルを移動する際に複数選択できなかったのを修正

***2009-01-13 NNDD v1.7.1
-キーボードによるPlayer操作を実装（再生・一時停止=スペース、シーク=左右矢印、音量=上下矢印）
-投稿者コメントダブルクリックでのシーク
-【バグフィックス】プレイリストに項目を追加すると「null」が追加されるのを修正
-【バグフィックス】プレイリストで順番の変更がうまくいかなかったのを修正

***2009-01-11 NNDD v1.7.0
-ダウンロードリストを実装
-音量を細かく設定できるように変更
-マウスホイールを使ったシークの処理の見直し
-ライブラリのファイルをまとめて削除できるように変更
-コメントの取得件数を250件に変更（以前は明示的に指定していなかった）
-【バグフィックス】ストリーミング再生が出来ない事があったのを修正
-【バグフィックス】Playerを最小化すると戻ってこない事があったので、その対応としてウィンドウ位置リセットボタンを新設
-【バグフィックス】フルスクリーンから復帰するとコントローラが表示されないことがあったのを修正
-【バグフィックス】「ライブラリの更新」時に不要なファイル情報を削除していなかったのを修正

***2008-12-31 NNDD v1.6.7
-【バグフィックス】12月31日なのに「あけおめ」メッセージが出るのを修正。
-【バグフィックス】「下のコントローラを表示しない」にチェックを入れた状態で再起動するとチェックが入っているのにコントローラが表示されてしまうのを修正

***2008-12-27 NNDD v1.6.6
-Playerの設定に「ビデオの大きさをニコ動(のPlayer)より小さくしない」を追加
-【バグフィックス】Escでフルスクリーンから復帰したときにPlayer下のコントローラが消えたままだったのを修正

***2008-12-22 NNDD v1.6.5
-ダウンロード時のエコノミーモード確認ダイアログを実装
-【バグフィックス】動画のタイトルに半角の%が含まれていると保存できない不具合を修正
-【バグフィックス】URL指定ダウンロードに不具合があったので修正
-【バグフィックス】検索時に結果が１ページ（30件）しか出ていなかったのを修正
-【バグフィックス】SWFのサイズ調節が働いていなかったので修正

***2008-12-21 NNDD v1.6.4
-Playerウィンドウの移動にVideoInfoも追従させる事が出来るように変更
-Playerの下にコントローラを戻した。消す事も可能。
-プレイリストを完全に隠せるように変更
-自動ログイン実装
-コメント表示位置調節
-「Playerをビデオの大きさにあわせる」機能の実装

***2008-12-17 NNDD v1.6.3
-マウスホイールで音量調整、シークが出来るように変更
-ストリーミング再生時にタグ、投稿者説明文、再生数を取得するように変更
-【バグフィックス】キーボードショートカット情報を自動的に隠すように修正
-【バグフィックス】URL指定ダウンロードでエラーになっていたのを修正
-【バグフィックス】ストリーミング再生でコメントが読み込めていない場合があったのを修正

***2008-12-14 NNDD v1.6.2
-ビデオのダウンロード中でも他のランキングを閲覧できるように変更。
-ビデオウィンドウにコントローラ（再生、停止など）を表示するように変更。
-タイムラインの挙動を変更。
-【バグフィックス】ウィンドウを最小化した状態でNNDDを終了すると次回起動時にウィンドウが表示されない不具合を修正
-【バグフィックス】リピート再生中（２回目以降の再生中）にNGリストに登録できない不具合を修正

***2008-12-11 NNDD ver1.6.1
-フルスクリーン時にキーボードショートカットを表示するように変更
-キーボードのショートカットに「Ctrl(Cmd)+F」(=フルスクリーン切替)と「C」(=コントローラウィンドウ表示)を追加
-SWFの再生時間を「時：分」に変更（終了時間が計算できないので、/の右側は「--:--」となっています。）
-【バグフィックス】プレーヤウィンドウを閉じたときに同時にコントローラウィンドウが閉じていなかったのを修正

***2008-12-07 NNDD ver1.6.0 (正式版)
-外部アプリケーションとの同期（第１引数にビデオの絶対パス or ニコ動のアドレスを指定する事で、ビデオの再生を開始することができます。）

***2008-12-05 NNDD ver1.6.0 beta
-Playerウィンドウをビデオウィンドウとコントローラウィンドウに分割
-Videoウィンドウダブルクリックでニコ割エリア一発隠しを実装
-データストア読み込みエラー時の処理を追加
-【バグフィックス】検索時にDL済かどうか表示されない問題を修正
-【バグフィックス】コメントがロードされない場合があるの問題を修正
-【バグフィックス】ビデオ削除時にライブラリのデータベースからビデオの情報を削除していなかったのを修正
-【バグフィックス】ニコニコ動画（冬）でランキング、検索が出来ていなかったのを修正

***2008-11-29 NNDD ver1.5.4
-【バグフィックス】v1.5系でストリーミング再生が出来なかったのを修正。
-【バグフィックス】MacでCommand+Qで終了した際にNGリスト書き出し等の処理が出来ていなかったのを修正。
-【バグフィックス】Playerウィンドウの大きさを変えて保存した後再起動すると、Playerウィンドウのサイズと中のコンポーネントのサイズがずれる事があったのを修正。
-【バグフィックス】NMM以外で作成したSWFを再生すると正常に拡大・縮小されていなかったのを修正。
-【バグフィックス】ニコ割がニコ割ウィンドウの中央に表示されていなかったのを中央に表示されるように修正。

***2008-11-26 NNDD ver1.5.3
-【バグフィックス】Playerウィンドウの大きさを縦に変えたときにタブが操作できなくなるのを修正。

***2008-11-25 NNDD ver1.5.2
-【バグフィックス】停止させるタイプのニコ割で、ニコ割終了後に再生が再開しなかったのを修正。
-【バグフィックス】Windowsにおいて、再生した直後のSWFを削除しようとすると「ファイルが開かれている」というエラーが出て削除できないのを修正。（flv、mp4は未対応）
-【バグフィックス】ニコ割終了後に処理が重くなるのを修正。
-【バグフィックス】ファイルの削除時に、リストが更新されない事があるのを修正。

***2008-11-24 NNDD ver1.5.1
-最新版にしても「最新版があります」というダイアログが出てしまうのを修正

***2008-11-24 NNDD ver1.5.0
-SWFの一時停止、リピート、プレイリストへの追加に対応
-ユーザーニコ割
-ストア保存時の例外対処追加
-タグ、投稿者説明文対応

***2008-11-16 NNDD ver1.4.5
-音量をPlayerを閉じた後も保持するよう変更（swfは音量を調節できません。swf再生時は大きな音がなる事があるのでご注意ください。）

***2008-11-15 NNDD ver1.4.4
-NGワードの非表示条件を「NGワードと完全一致」から「NGワードを含む」に変更
-ウィンドウ位置、サイズを保持するよう変更

***2008-11-09 NNDD ver1.4.3
-起動時のPlayer表示をしないように変更
-コメントリストを５０音順でソートした際に再生と同期しないよう変更
-メモリリーク対策（効果は今ひとつ）
-【バグフィックス】検索で2ページ目以降が検索できていなかったのを修正
-【バグフィックス】ランキング更新がキャンセルできないのを修正
-【バグフィックス】SWF再生時に画像がパネルから少しずれる不具合を修正

***2008-11-04 NNDD ver1.4.2
-【バグフィックス】SWF再生時にコメントを隠す・表示をするとSWFがパネルの位置に追従しないのを修正
-【バグフィックス】保存先フォルダが無い状態でのv1.4系初回起動のライブラリ作成で先に進めなかったのを修正
-【バグフィックス】プレイリスト再生中に１曲リピートするとプレイリストの内容が消えていたのを修正

***2008-11-03 NNDD ver1.4.1
-【バグフィックス】Windowsでフォルダの追加等の操作が出来なかったのを修正

***2008-11-03 NNDD ver1.4
-プレイリスト順序変更に対応
-ダウンロードタブとダウンロード済みアイテムの同期するように変更
-ダウンロード済みリストに作成日追加
-ダウンロード済みファイル管理機能強化（フォルダ追加・削除・移動・名前変更）
-動画とコメントリストの同期に対応
-ダウンロードタブの「再生」ボタン新設
-ログを設定タブに統合
-アップデート通知ダイアログを変更
-【バグフィックス】SWF再生時にコメントが流れないのを修正
-【バグフィックス】ライブラリタブで最大化時に右のリストが左側のリストに隠れてしまっていたのを修正
-【バグフィックス】プレイリストの名前を変えると古い名前のプレイリストが残ってしまっていたのを修正

***2008-10-27 NNDD ver1.3.1
-【バグフィックス】Playerウィンドウのチェックボックスを記憶できていなかったのを修正
-【バグフィックス】Windowsでログインウィンドウが一番手前に来ていなかったのを修正
-【バグフィックス】検索ができていなかったのを修正

***2008-10-26 NNDD ver1.3
-プレイリスト実装（.m3uファイル、FullPath限定）
-項目の削除（右クリックメニュー、DelキーおよびBSキー）
-ダウンロードタブでのDL済み項目再生（右クリック）
-チェックボックス状態記憶
-Player右側タブの一発隠し（動画を再生している部分をダブルクリックすると"隠す"or"表示"を切り替えられます）
-起動時にログインウィンドウが一番手前に来るように変更
-【バグフィックス】Macでタイトルに"?"を含む場合に保存できていなかったのを修正（"?"を"-"に置換）
-【バグフィックス】検索単語をURLエンコードしていなかったのを修正
-【バグフィックス】アップデート確認用URLが間違っていたのを修正

***2008-10-19 NNDD ver1.2
-「検索」にタグ検索を新設・次のページ、前のページを見れるようにした。
-【おまけ】再生ウィンドウのフルスクリーン化

***2008-10-13 NNDD ver1.1.1
-NGリストを実装
-コメントの表示を調整
-ランキング・検索結果表示時に再生数・コメント数・マイリスト数・最近のコメントを表示
-【バグフィックス】（秋）変更後、ランキングのサムネイルが取得できなくなっていたのを修正
-【バグフィックス(v1.1.1)】コメント表示時に「ue」コマンドを正しく検出していなかったのを修正

***2008-10-05 NNDD ver1.0 正式版
-アイコンを設定（[http://twitter.com/keiith:title=@keiith]嬢にデザインしていただきました！）
-起動時のバージョンチェックを実装
-タブ切り替え後もDL済リストのツリーの状態を保持するよう変更
-【バグフィックス】SWF再生時に音だけが流れて再生されない問題を修正（SWF再生時にウィンドウサイズを自動的にリサイズするようにした）
-【バグフィックス】一部環境において、検索時にサムネイルが取得できずエラーになっていたのを修正
-【バグフィックス】エラー時に表示される文言を修正

***2008-10-04 NNDD ver1.0 RC
-ニコニコ動画内の動画検索を実装。
-コメントを新たにダウンロードする際、コメントファイルの名前をローカルのビデオの名前に合わせるように変更。
-【バグフィックス】投稿者コメントを、v1.0系で[owner]として見ており、v1.0以前の[Owner]が読み込めていなかったので、v1.0でも[Owner]を使うように修正。（結果、v1.0 beta ~ beta4でダウンロードした投稿者コメントが読み込めなくなります。お手数ですが"o"を"O"に変えるか、コメントをダウンロードし直してください。）
-【バグフィックス】投稿者コメントの保存時に"."を余分につけていたのを修正。
-【バグフィックス】「フォルダ内の項目をすべて表示」のチェックを入れたとき、ビデオのリストにフォルダが表示されていたのを修正。
-【仕様変更対応】変更点の二つ目の実装で、「ニコニコ動画（夏）の時に取得した動画のコメントがニコニコ動画（秋）というファイル名になっていて新しい方のコメントがロードされない」のを解決しました。

***2008-09-27 NNDD ver1.0 beta4
-SWFを再生する際、ウィンドウを大きくするとSWFが画面の左端に寄っていたのを中央に表示するよう変更
-【バグフィックス】一時停止中にシークすると、コメントだけが流れてしまう不具合を修正
-【バグフィックス】「フォルダ内の項目をすべて表示」にチェックを入れた際にランキングリストの更新を行っていたのを、ダウンロード済みリストを更新するように修正

***2008-09-22 NNDD ver1.0 beta3
-コメントの影にドロップシャドウをつけるように変更
-ランキングリストのダブルクリックでダウンロードできるよう変更
-【バグフィックス】一時停止するとコメント用の表示タイミングがずれるのを修正
-【バグフィックス】SWFを「ダウンロードしながら再生」で再生した後、再生ボタンを押すとエラーが発生していたのを修正

***2008-09-21 NNDD ver1.0 beta2
NNDD2からNNDDに名称を変更します。
NNDD2からの変更点
-ニコニコ動画のランキングに表示される「カテゴリ」に対応
-コメントの大きさ・色・場所に対応
-SWFの再生に対応
-TOP100ダウンロードの削除

***2008-08-11 ver0.91
-投稿者コメントの取得・表示に対応。コメントタブには、"[This is Owner Comment]"というタグが付加された状態で登録されます。動画に出力される際はタグは付加されません。
-【バグフィックス】ムービーが何も選択されていない状態で再生ボタンを押すとエラーを出力していたのを、エラーを出力しないように修正。
-【バグフィックス】ログインに失敗すると「ログイン」ボタンがクリックできなくなり、その先に進めなくなる不具合を修正。

***2008-08-08 ver0.901
-【バグフィックス】インクリメンタルサーチ中にムービーを再生しようとすると、ダブルクリックしたムービーとは違うムービーが再生されてしまう不具合を修正

***2008-08-07 ver0.9
-GUI変更（ランキングリストをタブに統合）
-ニコニコ動画ランキング取得時の対象変更対応
-ダウンロード中のムービー再生
-ニコチャートダウンロード時の対象変更対応
-DL済みリストのインクリメンタルサーチ
-【バグフィックス】常に最前面のチェックを外したときの挙動がおかしいのを修正
-【バグフィックス】コメントのみの取得がおかしかったのを修正

***2008-07-27 ver0.83
-ダウンロードしたビデオの保存時にビデオIDを付加するよう変更しました。（例えば、sm12345というFLVをダウンロードした場合、「ビデオのタイトル - [sm672747].flv」というファイル名でFLVが保存されます。）
-ファイル名に付加したビデオIDをつかって、ダウンロード済みのビデオに対応する最新のコメントを取得できるようにしました。（ダウンロードする際、既存のコメントファイルが上書きされます。必要な場合はバックアップをとってください。）
-ビデオ再生時に表示されるコメントを白抜き文字に変更しました。

***2008-07-22 ver0.82.1
-ソースリストの表示がおかしくなるのを修正
-リピートできていなかったのを修正

***2008-07-21 ver0.82
-再生用ウィンドウをメインウィンドウから分離
-コメントに改行が含まれていればそれを反映するように変更（コメントの表示にLabelを使っていたのをTextに変更）
-コメント出力の速度等微調整

***2008-07-11 ver0.81
-コメント保存機能を実装
-ニコニコ動画風コメント表示機能を実装

***2008-06-08 ver0.8
-ランキング更新時のプレビューに対応
-ライブラリタブの実装
-リピート再生の実装
-(おまけ)Webカメラとの連携

***2008-05 ころ
-AdobeAIR(FlexBuilder)でニコニコ動画から動画をダウンロードしてやる！とか思い始める。